moGenSolContinue(3)

NAME
moGenSolContinue - One possible stop criterion for a solution-based heuristic.

SYNOPSIS

#include <moGenSolContinue.h>

Inherits moSolContinue< EOT >< EOT >.

  Public Member Functions
moGenSolContinue (unsigned __maxNumGen)
Simple constructor.
bool operator() (const EOT &__sol)
Function that activates the stop criterion.
void init ()
Procedure which allows to initialise the generation counter.

  Private Attributes
unsigned maxNumGen
Iteration maximum number.
unsigned numGen
Iteration current number.

Detailed Description

  template<class EOT> class moGenSolContinue< EOT >
One possible stop criterion for a solution-based heuristic. The stop criterion corresponds to a maximum number of iteration.

Definition at line 21 of file moGenSolContinue.h.

Constructor & Destructor Documentation

  template<class EOT> moGenSolContinue< EOT >::moGenSolContinue (unsigned __maxNumGen) [inline]

Simple constructor.

Parameters:
    __maxNumGen the maximum number of generation.

Definition at line 30 of file moGenSolContinue.h.

Member Function Documentation

  template<class EOT> bool moGenSolContinue< EOT >::operator() (const EOT & __sol) [inline, virtual]

Function that activates the stop criterion.

Increments the counter and returns TRUE if the current number of iteration is lower than the given maximum number of iterations.

Parameters:
    __sol the current solution.

Returns:
    TRUE or FALSE according to the current generation number.

Implements eoUF< const EOT &, bool >.

Definition at line 44 of file moGenSolContinue.h.

References moGenSolContinue< EOT >::maxNumGen, and moGenSolContinue< EOT >::numGen.

  template<class EOT> void moGenSolContinue< EOT >::init () [inline, virtual]

Procedure which allows to initialise the generation counter.

It can also be used to reset the iteration counter.

Implements moSolContinue< EOT >.

Definition at line 54 of file moGenSolContinue.h.

References moGenSolContinue< EOT >::numGen.

Author

Generated automatically by Doxygen for PARADISEO-MO from the source code.